<?php

/**
* lod.theme.inc
*
* @author Gautier Poupeau <http://www.lespetitescases.net/>
* @copyright Copyright (c) 2008 Gautier Poupeau. All rights reserved.
* @license GPL <http://creativecommons.org/licenses/GPL/2.0/>
* @package lod.module
*/

function theme_lod_dbpedia_novelist_detail($result) {
	/* Nettoyage des résultats de DBpedia */
	$nom=explode("\"", $result[0]['nom']);
	$nom=$nom[1];
	$biographie=explode("@", $result[0]['abstract']);
	$biographie=$biographie[0];
	$biographieEN=explode("@", $result[0]['abstractEN']);
	$biographieEN=$biographieEN[0];
	/* Mise enforme du résultat */	
	$output .= "<div class='result'>";
	if ($result) { 
		if ($result[0]['depiction']) {
			$output .= "<img src=".$result[0]['depiction']." class='depiction'/>";
		}
		$output .= "<h2>".$nom."</h2><p class='metadata'>";
		if ($biographie) {	
				$output .= $biographie;
   		}
			else {
				$output .= $biographieEN;
			}
		$output .="</p>";
		//$output .= "<br/><a href=\"".$result[0]['wikipage']."\">".t('En savoir plus')."</a></p>";
		if ($result[0]['title']){
			$output .= "<h2 class='detail'>".t('Few Works')."</h2>";
			$output .= "<ol class='listresult'>";
			foreach($result as $item) {
				$title=explode("\"", $item['title']);
				$title=$title[1];
				$titre=explode("\"", $item['titre']);
				$titre=$titre[1];
				if ($titre) {
					$output.="<li><a href='".$item['wikipediauri']."'>".$titre."</a></li>";
				}
				else {
					$output.="<li><a href='".$item['wikipediauri']."'>".$title."</a></li>";
				}
			}
			$output .= "</ol>";
		}
	}
	else {
		$output.=t('No information in Wikipedia about this novelist');
	}
	$output .= "</div>";
	return $output;
}

function theme_lod_dbpedia_place_detail($result) {
	/* Nettoyage du résultat de DBpedia*/	
	$nom=explode("\"", $result[0]['nom']);
	$nom=$nom[1];
	$name=explode("\"", $result[0]['name']);
	$name=$name[1];
	$abstract=explode("@", $result[0]['abstract']);
	$abstract=$abstract[0];
	$resume=explode("@", $result[0]['resume']);
	$resume=$resume[0];
	$long=explode("\"", $result[0]['long']);
	$long=$long[1];
	$lat=explode("\"", $result[0]['lat']);
	$lat=$lat[1];
	/* Mise en forme du résultat */
	$output .= "<div class='result'>";
	if ($result) {
		if ($result[0]['depiction']) {
			$output .= "<img src=\"".$result[0]['depiction']."\" alt=\"".$name."\" class=\"depiction\"/>";
		}
		if ($nome) {
			$output .= "<h2>".$nom."</h2><p class='metadata'>";
		}
		else {
			$output .= "<h2>".$name."</h2><p class='metadata'>";
		}
		if ($resume) {	
				$output .= $resume;
   		}
			else {
				$output .= $abstract;
			}
		$output .="</p>";
		if($lat&&$long&&module_exists('gmap')) {
			$output .= "<div class=\"carte-gmap\">";			
			$settings = array(
				'id' => $name,
				'latitude' => $lat,
				'longitude' => $long,
			);
			$settings['zoom'] = "6";
			$settings['maptype']="Hybrid";
			$settings['width'] = "100%";
			$settings['height'] = "350px";
			$settings['markers'] = array(array(
				'latitude' => $lat,
				'longitude' => $long,
				'markername' => '',
				'text' => $name,
			));
			if (!empty($map)) {
				$settings = array_merge($settings, $map);
			}   
			$output .= theme('gmap', array('#settings' => $settings));
			$output .= "</div>";
		}
	}
	else {
		$output.=t('No information in Wikipedia about this place');
	}
	$output .= "</div>";
	return $output;
}

function theme_lod_dbtune_record_detail($result) {
	$output = "<div class='result'>"; 
	if ($result) {
		$output .= "<h2>".$result[0]['title'];
		$output .= "<br/>".$result[0]['artistname']."</h2>";		
		$output .= "<img src=".$result[0]['cover']." class='depiction'/>";
		$output .= "<ol style=\"-moz-column-count:2;margin-left:0px;padding-left:5px\">";
		foreach($result as $item) {
			$output.="<li>".$item['tracktitle']."</li>";
		}
		$output .= "</ol>";
   }
	else {
		$output .= t('Dbtune is temporary down or no information in MusicBrainz about this record');
	}
	$output .= "<hr style=\"clear:both;visibility:hidden;height:1px\"/></div>";
	return $output;
}

function theme_lod_dbtune_artist_detail($result) {
	$lang=variable_get('lod_dbpedia_lang_query','');	
	$output = "<div class='result'>\n";
	$homepage=$result[0]['homepage'];
   $dbpediauri=$result[0]['dbpediauri'];
   $dbpedia=dbpedia_complement($dbpediauri);
	$description=explode("@", $dbpedia[0]['description']);
	$description=$description[0];
	$descriptionEN=explode("@", $dbpedia[0]['descriptionEN']);
	$descriptionEN=$descriptionEN[0];
   $name=$result[0]['name'];
	if($name) {
		if ($dbpedia[0]['img']){
			$output .= "<img src=".$dbpedia[0]['img']."  class='depiction' alt='Photo of the artist'/>";
		}
		$output .= "<h2><a href='".$result[0]['musicbrainzurl']."'>".$name."</a></h2><p class='metadata'>";
		if ($result[0]['description']){
			$output .= "<span class='label'>Description</span>&nbsp;: ".$result[0]['description']."<br/>";
		}
		if ($dbpedia) {
			if ($description) {	
				$output .= "<span class='label'>".t('Description in Wikipedia')."</span>&nbsp;: ".$description;
   		}
			else {
				$output .= "<span class='label'>".t('Description in Wikipedia')."</span>&nbsp;: ".$descriptionEN;
			}
			if ($lang=='fr' && $result[0]['wikipediauri']) {
				$output .= " <a href='".$result[0]['wikipediauri']."'>En savoir plus</a>";
			}
		}
		if ($result[0]['homepage']){
			$output .= "<br/><span class='label'>".t('Home page')."</span>&nbsp;: <a href=\"$homepage\">".$homepage."</a>";
		}
		$output .= "</p>";
		if ($result[0]['title']) {
			$output .= "<h2 class='detail'>".t('Few records')."</h2>";
			$output .= "<ul class='listresult' style='list-style-type:none'>";
			foreach($result as $item) {
					$output.="<li style='text-align:center'><strong>".$item['title']."</strong><br /><img src='".$item['image']."' alt='".t('cover of').$item['title']."' title='".$item['title']."'/></li>";
			}
			$output .= "</ol>";
		}
	}
   else {
		$output.=t('No information in MusicBrainz about this artist');
	}
	$output .= "</div>\n";
	return $output;
}

/* TO DO : bug in sparql module and lmdb doesn't expose sparql results in json
function theme_lod_lmdb_movie_detail($result) {
	$lang=variable_get('lod_dbpedia_lang_query','');	
	$output = "<div class='result'>\n";
   $dbpediauri=$result[0]['dbpediauri'];
   $dbpedia=dbpedia_complement($dbpediauri);
	$description=explode("@", $dbpedia[0]['description']);
	$description=$description[0];
	$descriptionEN=explode("@", $dbpedia[0]['descriptionEN']);
	$descriptionEN=$descriptionEN[0];
   $title=$result[0]['title'];
	if($result) {
		$output .= "<h2 style='text-align:center'>".$title."</h2><p id='metadata'>";
		if ($result[0]['directorname']){
			$output .= "<span class='label'>Director name</span>&nbsp;: ".$result[0]['directorname']."<br/>";
		}
		if ($dbpedia) {
			if ($description) {	
				$output .= "<span class='label'>".t('Description in Wikipedia')."</span>&nbsp;: ".$description;
   		}
			else {
				$output .= "<span class='label'>".t('Description in Wikipedia')."</span>&nbsp;: ".$descriptionEN;
			}
		}
		$output .= "</p>";
		/*Gérer le fait qu'il n'y ait pas de owl:sameAs, sinon aucun intérêt d'avoir MusicBrainz
		if ($result[0]['title']) {
			$output .= "<h2 id='detail'>".t('Few records')."</h2>";
			$output .= "<ul id='listresult' style='list-style-type:none'>";
			foreach($result as $item) {
					$output.="<li style='text-align:center'><strong>".$item['title']."</strong><br /><img src='".$item['image']."' alt='".t('cover of').$item['title']."' title='".$item['title']."'/></li>";
			}
			$output .= "</ol>";
		}
	}
   else {
		$output.=t('No information in Linked movie database about this movie');
	}
	$output .= "</div>\n";
	return $output;
}*/

?>
